%global gst_ver 1.0.0
%global gst_plugins_base_ver 1.0.0
%global far farstream

Name:           %{far}02
Version:        0.2.4
Release:        3srtp%{?dist}
Summary:        Libraries for videoconferencing

# Package is LGPLv2 except for a few files in /common/coverage/
License:        LGPLv2+ and GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/Farstream
Source0:        http://freedesktop.org/software/%{far}/releases/%{far}/%{far}-%{version}.tar.gz
Patch01: 0001-Version-0.2.4.1.patch
Patch02: 0002-Fix-some-mismatched-redundant-para-gtk-doc-tags.patch
Patch03: 0003-rtp-Fix-a-couple-typos.patch
Patch04: 0004-videoanyrate-Use-the-Fs-prefix-internally-too.patch
Patch05: 0005-rtpcodecdisco-Improve-debug-printing.patch
Patch06: 0006-rtpcodecdisco-Use-GST_PTR_FORMAT-for-caps-debug.patch
Patch07: 0007-rtpdiscocodec-Debug-pipeline-at-the-right-level.patch
Patch08: 0008-rtpsession-Verify-object-exists-in-dispose-path.patch
Patch09: 0009-rtpcodecdisco-Style-fix.patch
Patch10: 0010-rtpconference-Fix-debug-print.patch
Patch11: 0011-rtpcodeccache-Add-input-output-caps-to-the-codec-cac.patch
Patch12: 0012-rtpcodecdisco-Discover-input-caps-from-send-codecbin.patch
Patch13: 0013-rtpcodecdisco-Discover-output-caps-from-receive-code.patch
Patch14: 0014-rtp-Use-FsStreamDirection-instead-of-is_send-gboolea.patch
Patch15: 0015-rtpcodecnego-Add-CodecPreference-struct-wrapping-cod.patch
Patch16: 0016-rtpdiscocodec-Factor-out-in-out-caps-discovery.patch
Patch17: 0017-rtpcodecnego-Discover-input-output-caps-for-applicat.patch
Patch18: 0018-rtpcodecnego-Skip-full-list-iteration.patch
Patch19: 0019-rtpsession-Add-input-and-output-caps.patch
Patch20: 0020-session-Add-API-to-set-the-allowed-caps.patch
Patch21: 0021-rtpsession-Implement-allowed-caps-setting.patch
Patch22: 0022-rtpcodecnego-Filter-by-input-and-output-caps.patch
Patch23: 0023-rtpbitrateadapter-Remove-gray-caps.patch
Patch24: 0024-rtpbitrateadapter-Pass-media-type-from-caller.patch
Patch25: 0025-rtpbitrateadapter-Remove-caps-property.patch
Patch26: 0026-rtpbitrateadapter-Let-upstream-do-possible-renegotia.patch
Patch27: 0027-rtpbitrateadapter-Do-dynamic-getcaps.patch
Patch28: 0028-rtpbitrateadapter-Support-non-video-caps-too.patch
Patch29: 0029-rtpbitrateadapter-Remove-unused-caps.patch
Patch30: 0030-rtpbitrateadapter-Check-bitrate-changes-since-last-g.patch
Patch31: 0031-rtpdiscocodec-Use-GQueue-instead-g_list_append.patch
Patch32: 0032-rtpdiscocode-Ignore-codecs-with-no-payload-property.patch
Patch33: 0033-rtpdiscocodec-Also-discover-formats-with-no-encoder.patch
Patch34: 0034-Add-Application-Media-type.patch
Patch35: 0035-fsrtpxdata-Add-RTP-pay-depay-for-Microsoft-Lync-RTP-.patch
Patch36: 0036-tests-Test-for-x-data-type.patch
Patch37: 0037-Remove-fsrtcpfilter.patch
Patch38: 0038-transmitter-Remove-recvonly-filter.patch
Patch39: 0039-lib-Add-parameters-to-set-encryption-and-decryption-.patch
Patch40: 0040-rtpsession-Create-srtpenc-srtpdec.patch
Patch41: 0041-rtpsession-Implemnt-setting-SRTP-encryption-key.patch
Patch42: 0042-rtpsession-Factor-out-SRTP-parameter-validation.patch
Patch43: 0043-rtp-Implement-setting-SRTP-decryption-key.patch
Patch44: 0044-rtp-Add-srtp-test.patch
Patch45: 0045-fixup-session-Add-API-to-set-the-allowed-caps.patch
Patch46: 0046-Fix-build-with-Werror-format-security.patch
Patch47: 0047-Patch-for-MS-TURN-TCP.patch

BuildRequires:  libnice-devel >= 0.1.7
BuildRequires:  gstreamer1-devel >= %{gst_ver}
BuildRequires:  gstreamer1-plugins-base-devel >= %{gst_plugins_base_ver}
BuildRequires:  gupnp-igd-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  python-devel
BuildRequires: autoconf automake libtool

Requires:       gstreamer1-plugins-good >= 1.4.0
Requires:       gstreamer1-plugins-bad-free >= 1.0.0
Requires:       libnice-gstreamer1


%description
%{name} is a collection of GStreamer modules and libraries for
videoconferencing.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       gstreamer1-devel  >= %{gst_ver}
Requires:       gstreamer1-plugins-base-devel >= %{gst_plugins_base_ver}
Requires:       pkgconfig


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{far}-%{version}
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1
%patch06 -p1
%patch07 -p1
%patch08 -p1
%patch09 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1


%check
#make check


%build
autoreconf -f -i
%configure                                                              \
  --with-package-name='Fedora Farstream-0.2 package'                       \
  --with-package-origin='http://download.fedoraproject.org'             \
  --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc COPYING NEWS AUTHORS
%{_libdir}/*.so.*
%dir %{_libdir}/%{far}-0.2
%{_libdir}/%{far}-0.2/libmulticast-transmitter.so
%{_libdir}/%{far}-0.2/libnice-transmitter.so
%{_libdir}/%{far}-0.2/librawudp-transmitter.so
%{_libdir}/%{far}-0.2/libshm-transmitter.so
%{_libdir}/gstreamer-1.0/libfsmsnconference.so
%{_libdir}/gstreamer-1.0/libfsrawconference.so
%{_libdir}/gstreamer-1.0/libfsrtpconference.so
%{_libdir}/gstreamer-1.0/libfsrtpxdata.so
%{_libdir}/gstreamer-1.0/libfsvideoanyrate.so
%{_libdir}/girepository-1.0/Farstream-0.2.typelib
%dir %{_datadir}/%{far}
%dir %{_datadir}/%{far}/0.2
%dir %{_datadir}/%{far}/0.2/fsrtpconference
%dir %{_datadir}/%{far}/0.2/fsrawconference
%{_datadir}/%{far}/0.2/fsrawconference/default-element-properties
%{_datadir}/%{far}/0.2/fsrtpconference/default-codec-preferences
%{_datadir}/%{far}/0.2/fsrtpconference/default-element-properties

%files devel
%{_libdir}/libfarstream-0.2.so
%{_libdir}/pkgconfig/%{far}-0.2.pc
%{_includedir}/%{far}-0.2/%{far}/
%{_datadir}/gir-1.0/Farstream-0.2.gir
%{_datadir}/gtk-doc/html/%{far}-libs-0.2/
%{_datadir}/gtk-doc/html/%{far}-plugins-0.2/


%changelog
* Fri Aug 15 2014 David Woodhouse <David.Woodhouse@intel.com> - 0.2.4-3srtp
- Import SRTP patches from github.com/tieto

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.2.4-3
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Peter Robinson <pbrobinson@fedoraproject.org> 0.2.4-1
- Update to 0.2.4.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun May 12 2013 Brian Pepple <bpepple@fedoraproject.org> - 0.2.3-2
- Add requires on libnice-gstreamer1 for recent libnice subpackage change.

* Tue Apr 16 2013 Brian Pepple <bpepple@fedoraproject.org> - 0.2.3-1
- Update to 0.2.3.
- Drop leak patches. Fixed upstream.

* Wed Mar 27 2013 Brian Pepple <bpepple@fedoraproject.org> - 0.2.2-3
- Pull some patches from upstream that fix serveral leaks.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Nov 14 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2
- Drop properties patch. Fixed upstream.

* Wed Oct 24 2012 Debarshi Ray <rishi@fedoraproject.org> - 0.2.1-2
- Update and fix the default properties for vp8enc

* Thu Oct  4 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1

* Wed Oct  3 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.2.0-2
- Drop unnecessary removal of buildroot in the install section.
- Update License info.

* Wed Sep 26 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Tue Sep 25 2012 Brian Pepple <bpepple@fedoraproject.org> - 0.1.91-1
- Initial Fedora spec.
